Subject: RE: [Sip] I-D ACTION:draft-koivusalo-sip-outbound-discovery-00.txt

From: "Francois Audet" <[email-masked]>
Date: Tue, 25 Apr 2006 18:54:58 -0500

Isn't "outproxy == outbound SIP proxy" already in that list
you just quoted?

> -----Original Message-----
> From: Jeroen van Bemmel [mailto:[email-masked]] 
> Sent: Saturday, April 22, 2006 02:02
> To: [email-masked]; [email-masked]
> Subject: Re: [Sip] I-D 
> ACTION:draft-koivusalo-sip-outbound-discovery-00.txt 
> 
> 
> Erkki,
> 
> Another possibility: http://www.dns-sd.org/ServiceTypes.html 
> lists the 
> following TXT keys defined for the "sip" service (amongst others):
> 
> sip             Session Initiation Protocol, signalling 
> protocol for VoIP
>                   registrar     SIP registrar (see RFC3261)
>                   proxy         SIP proxy (see RFC3261)
>                   natproxy      SIP proxy for NATed clients
>                   outproxy      outbound SIP proxy (see RFC3261)
>                   stunserver    STUN server DNS name or IP address
>                 [Further TXT record keys may be added in the future.]
> 
> We could define a new TXT record key, say "outbound", and 
> return that along 
> with the result of a SRV lookup. In other words: use DNS-SD 
> (http://files.dns-sd.org/draft-cheshire-dnsext-dns-sd.txt) 
> for the purpose 
> of outbound proxy discovery
> 
> Regards,
> 
> jeroen
> 
> ----- Original Message ----- 
> From: "Jeroen van Bemmel" <[email-masked]>
> To: <[email-masked]>; <[email-masked]>
> Sent: Friday, April 21, 2006 7:43 PM
> Subject: Re: [Sip] I-D 
> ACTION:draft-koivusalo-sip-outbound-discovery-00.txt
> 
> 
> > Erkki,
> >
> > To me the draft too easily discards the "this is not scalable" 
> > argument.
> > It really is not scalable, and stacking features on DNS 
> like this feels 
> > wrong.
> >
> > RFC2915 hints at an alternative approach in the description of the 
> > usage
> > of the "U" flag: "[...] there may be applications that use 
> NAPTR to also 
> > lookup aspects of URIs". You could use a regular expression 
> including a 
> > flag that denotes outbound support.
> >
> > Regards,
> >
> > Jeroen
> >
> > ----- Original Message -----
> > From: <[email-masked]>
> > To: <[email-masked]>
> > Sent: Friday, April 21, 2006 1:34 PM
> > Subject: RE: [Sip] I-D 
> > ACTION:draft-koivusalo-sip-outbound-discovery-00.txt
> >
> >
> > Hi,
> >
> >>I made up two proposals based on DNS for the UA to find
> >>out proxies supporting outbound within the domain of SIP
> >>AOR of the user or the domain got from DHCP ...
> >>
> >>I am now planning to put together an I-D for those proposals as an 
> >>update to RFC 3263. It may take some time, but hopefully 
> not too long.
> >
> > The promised I-D is now available:
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts 
> > directories.
> >
> >
> > Title : Discovering Proxies Supporting SIP Outbound
> > Author(s) : E. Koivusalo
> > Filename : draft-koivusalo-sip-outbound-discovery-00.txt
> > Pages : 17
> > Date : 2006-4-20
> >
> >   This document describes modifications to DNS procedures used to
> >   resolve a SIP Uniform Resource Identifier (URI) into the 
> IP address,
> >   port, and transport protocol of the next hop to contact.  These
> >   modifications enable the SIP User Agent to discover those proxies,
> >   within the domain of the SIP URI, that support SIP extensions
> >   described in draft-ietf-sip-outbound document.  The introduced
> >   mechanisms update behavior defined in RFC 3263.
> >
> >
> > A URL for this Internet-Draft is: 
> > 
> http://www.ietf.org/internet-drafts/draft-koivusalo-sip-outbound-disco
> > ve
> > ry-00.txt
> >
> > I would appreciate for anyone interested to review this spec and 
> > provide me with comments.
> >
> > Regards,
> >
> > Erkki
> >
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol
> > Use [email-masked] for questions on 
> current sip Use 
> > [email-masked] for new developments on the application of sip
> >
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol
> > Use [email-masked] for questions on 
> current sip Use 
> > [email-masked] for new developments on the application of sip
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments on the 
> application of sip
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Wed, 26 Apr 2006 02:00:59 +0200

Francois,

No, it would have to be something new, for backwards compatibility reasons. 
If we would reuse "outproxy", existing deployments that already have this 
(not sure if they exist, but suppose there are some) would inadvertedly be 
declaring their proxies to be outbound-compliant

Regards,

jeroen

----- Original Message ----- 
From: "Francois Audet" <[email-masked]>
To: "Jeroen van Bemmel" <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Wednesday, April 26, 2006 1:54 AM
Subject: RE: [Sip] I-D ACTION:draft-koivusalo-sip-outbound-discovery-00.txt